org.apache.storm.cassandra.trident.state

## Class TridentAyncCQLResultSetValuesMapper

- java.lang.Object
- - org.apache.storm.cassandra.trident.state.TridentAyncCQLResultSetValuesMapper

- All Implemented Interfaces:
    Serializable, AyncCQLResultSetValuesMapper

      public class TridentAyncCQLResultSetValuesMapper
      extends Object
      implements AyncCQLResultSetValuesMapper

  A result set mapper implementation which runs requests in parallel and waits for them all to finish.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TridentAyncCQLResultSetValuesMapper(Fields outputDeclaredFields, Semaphore throttle)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<Values>` | `handleResult(com.datastax.driver.core.ResultSet resultSet, ITuple tuple)`
    `List<List<Values>>` | `map(com.datastax.driver.core.Session session, List<com.datastax.driver.core.Statement> statements, List<ITuple> tuples)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TridentAyncCQLResultSetValuesMapper

          public TridentAyncCQLResultSetValuesMapper(Fields outputDeclaredFields,
                                                     Semaphore throttle)

  - ### Method Detail

    - #### map

          public List<List<Values>> map(com.datastax.driver.core.Session session,
                                        List<com.datastax.driver.core.Statement> statements,
                                        List<ITuple> tuples)

      Specified by:
        `map` in interface `AyncCQLResultSetValuesMapper`

    - #### handleResult

          protected List<Values> handleResult(com.datastax.driver.core.ResultSet resultSet,
                                              ITuple tuple)

Copyright © 2021 The Apache Software Foundation. All rights reserved.